#pragma once


#include  "KinectWnd.h"
#include  "Rotation.h"

#include  "SLJoints.h"
#include  "KinectSMemory.h"
#include  "KinectNetwork.h"




#define    EXKINECT_WND_CONFIDENCE	0.5




enum  NetOutMode
{
	NETandLOCAL,
	NETonly 
};





//using namespace jbxl;
using namespace jbxwl;



////////////////////////////////////////////////////////////////////////////////////
//
// CExKinectWnd:@
//

class  CExKinectWnd : public CKinectWnd
{
public:
	CExKinectWnd();
	~CExKinectWnd();


public:
	BOOL			isUseCamera;
	BOOL			isCalibrated;

	BOOL			printPosMode;
	BOOL			printRotMode;
	BOOL			printQutMode;
	BOOL			printNetMode;
	BOOL			printChkMode;

	BOOL			networkMode;
	NetOutMode		networkOutMode;
	BOOL			networkFastMode;

	Vector<double>	startPos;
	//Vector<double>	prvPos;


	CKinectNetwork*	kinectNet;
	CKinectSMemory*	sharedMem;


public:
	void			clearBoneData(void);
	void			clearStartPosData(void);
	void			setStartPosData(Vector<double> vect);


public:
	Vector<double>	posVect[OPENNI_MAX_JOINT_NUM];
	Vector<double>	prvVect[OPENNI_MAX_JOINT_NUM];

	Quaternion		rotQuat[OPENNI_MAX_JOINT_NUM];
	Quaternion		prvQuat[OPENNI_MAX_JOINT_NUM];

	double			boneLen[OPENNI_MAX_JOINT_NUM];
	double			stbnLen[OPENNI_MAX_JOINT_NUM];

	//bool			normalJoint[OPENNI_MAX_JOINT_NUM];


public:
	virtual void	logingJointsData(int uid);
	virtual void	convertData(int uid);
	
	void			convertRot2SLData(int uid);

	void			output2SharedMemory(void);
	void			output2Network(void);


	// TEST
	bool			setStartBoneLength(void);
	void			convertPos2SLData(int uid);
};


